Add option to set Hoodconfiguration fix

Submitted by Christian Dresel on Jan. 2, 2018, 2:46 p.m.

Details

Message ID 20180102144637.8319-1-fff@chrisi01.de
State Rejected
Headers show

Patch hide | download patch | download mbox

diff --git a/src/packages/fff/fff-hoods/files/usr/sbin/configurehood b/src/packages/fff/fff-hoods/files/usr/sbin/configurehood
index 2b9c47e..02d9a90 100755
--- a/src/packages/fff/fff-hoods/files/usr/sbin/configurehood
+++ b/src/packages/fff/fff-hoods/files/usr/sbin/configurehood
@@ -1,5 +1,10 @@ 
 #!/bin/sh
 
+if [ $(uci -q get fff.system.hoodfix) ]; then
+        echo "Hood is fix, we do nothing"
+        exit 1
+fi
+
 . /usr/share/libubox/jshn.sh
 . /lib/functions/fff/keyxchange
 . /lib/functions/fff/network